% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/drugfindR-package.R
\docType{package}
\name{drugfindR-package}
\alias{drugfindR}
\alias{drugfindR-package}
\title{drugfindR: Drug Repurposing using Gene Expression Signatures}
\description{
drugfindR is a package that allows users to perform drug
repurposing using gene expression signatures. It uses the LINCS L1000
database to find the most similar gene expression signatures to the user's
input signature. It then uses the connectivity analysis to find the most
similar
drugs to the user's input signature.
}
\details{
drugfindR-package

The drugfindR package allows users to perform drug repurposing using gene
expression signatures. It uses the LINCS L1000 database to find the most
similar gene expression signatures to the user's input signature. It then
uses the connectivity analysis to find the most similar drugs to the user's
input signature.
}
\section{References}{

\enumerate{
\item Imami, Ali S., Sinead M. O’donovan, Justin F. Creeden,
Xiaojun Wu, Hunter Eby, Cheryl B. McCullumsmith, Kerstin Uvnäs-Moberg,
Robert E. McCullumsmith, and Elissar Andari.
“Oxytocin’s Anti-Inflammatory and Proimmune Functions in Covid-19:
A Transcriptomic Signature-Based Approach.”
Physiological Genomics, 2020.
https://doi.org/10.1152/physiolgenomics.00095.2020.
\item O’Donovan, Sinead M., Ali Imami, Hunter Eby,
Nicholas D. Henkel, Justin Fortune Creeden, Sophie Asah, Xiaolu Zhang, et al.
“Identification of Candidate Repurposable Drugs to Combat COVID-19
Using a Signature-Based Approach.”
Scientific Reports 11, no. 1 (December 24, 2021): 4495.
https://doi.org/10.1038/s41598-021-84044-9.
\item Creeden, Justin Fortune, Ali Sajid Imami, Hunter M. Eby, Cassidy Gillman,
Kathryn N. Becker, Jim Reigle, Elissar Andari, et al.
“Fluoxetine as an Anti-Inflammatory Therapy in SARS-CoV-2 Infection.”
Biomedicine & Pharmacotherapy 138 (June 1, 2021): 111437.
https://doi.org/10.1016/j.biopha.2021.111437.
}
}

\section{Author}{

Ali Sajid Imami
}

\section{Maintainer}{

Ali Sajid Imami
}

\section{Contributors}{

Smita Sahay
Justin Fortune Creeden
Sinead M. O'Donovan
Hunter Eby
}

\section{License}{

GNU Public License 3.0
}

\section{Acknowledgements}{

\itemize{
\item This work was supported by the National Institutes
of Mental Health of the USA.
\item This work was heavily supported by the members of
the \href{https://cdrl-ut.org}{Cognitive Disorders Research Lab}.
\item This work was made possible by the Fulbright Scholar
Program with the Fulbright Masters Grant
awarded to Ali Sajid Imami.
}
}

\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/CogDisResLab/drugfindR}
  \item Report bugs at \url{https://github.com/CogDisResLab/drugfindR/issues}
}

}
\author{
\strong{Maintainer}: Ali Sajid Imami \email{Ali.Sajid.Imami@gmail.com} (\href{https://orcid.org/0000-0003-3684-3539}{ORCID})

Authors:
\itemize{
  \item Smita Sahay \email{Smita.Sahay@rockets.utoledo.edu} (\href{https://orcid.org/0009-0003-4377-8963}{ORCID})
  \item Justin Fortune Creeden \email{Justin.Creeden@rockets.utoledo.edu} (\href{https://orcid.org/0000-0003-3123-8401}{ORCID})
}

}
\keyword{internal}
