% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getConcordants.R
\name{getConcordants}
\alias{getConcordants}
\title{Get Concordant Signatures from iLINCS
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#stable}{\figure{lifecycle-stable.svg}{options: alt='[Stable]'}}}{\strong{[Stable]}}}
\usage{
getConcordants(signature, ilincsLibrary = "CP")
}
\arguments{
\item{signature}{A data frame with the names of genes, their expression value
and optionally their p-value}

\item{ilincsLibrary}{The Library you want to search.
Must be one of "OE", "KD" or "CP"
for Overexpression, Knockdown or Chemical Perturbagens}
}
\value{
A tibble with the list of concordant and discordant signatures
}
\description{
This function takes a full or filtered signature
and gets concordant signatures
from any of the 3 LINCS databases in iLINCS. This can get Overexpression,
Knockdown or Chemical Perturbagen signatures.
}
\examples{
# Get the L1000 signature for LINCSKD_28
kdSignature <- getSignature("LINCSKD_28")

# Get concordant gene knockdown signatures

concordant_signatures <- getConcordants(kdSignature, ilincsLibrary = "KD")

head(concordant_signatures)
}
