% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getSignature.R
\name{getSignature}
\alias{getSignature}
\title{Get the L1000 Signature from iLINCS
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#stable}{\figure{lifecycle-stable.svg}{options: alt='[Stable]'}}}{\strong{[Stable]}}}
\usage{
getSignature(sigId, l1000 = TRUE)
}
\arguments{
\item{sigId}{character. The ilincs signature_id}

\item{l1000}{boolean. If you have a known l1000 signature}
}
\value{
a tibble with the L1000 Signature
}
\description{
This function acts as the entrypoint to the iLINCS database.
This takes in an ID and returns the signature after making a
call to the iLINCS
database. The default mode for \code{drugfindR} is to use L1000
signatures. However,
if you are trying to retrieve a different transcriptomic signature,
that is also supported
by setting the \code{l1000} parameter to \code{FALSE}.
}
\examples{
# Get the L1000 signature for LINCSKD_28
kdSignature <- getSignature("LINCSKD_28")
}
