% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/investigateTarget.R
\name{investigateTarget}
\alias{investigateTarget}
\title{Investigate a Given Gene or Drug
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#stable}{\figure{lifecycle-stable.svg}{options: alt='[Stable]'}}}{\strong{[Stable]}}}
\usage{
investigateTarget(
  target,
  inputLib,
  outputLib,
  filterThreshold = 0.85,
  similarityThreshold = 0.321,
  paired = TRUE,
  inputCellLines = NULL,
  outputCellLines = NULL
)
}
\arguments{
\item{target}{The name of the gene or drug}

\item{inputLib}{One of "OE", "KD" or "CP". Marks the database to use.}

\item{outputLib}{One of "OE", "KD" or "CP". Marks the database to query.}

\item{filterThreshold}{The Filtering threshold.}

\item{similarityThreshold}{The Similarity Threshold}

\item{paired}{Logical. Whether to query iLINCS separately
for up and down regulated genes}

\item{inputCellLines}{A character vector of cell lines to
restrict our search for input signatures to.}

\item{outputCellLines}{A character vetor of cell lines to
restrict the output search to.}
}
\value{
A tibble with the the similarity scores and signature metadata
}
\description{
This function takes the name of a gene or a drug and a
database to use to pull signatures
from and then queries iLINCS to get concordant signatures
}
\examples{
\donttest{

# Search the whole iLINCS database for top concordant signatures for an
# ABL2 knockdown signature

investigatedSignature <- investigateTarget("ABL2",
    inputLib = "KD",
    outputLib = "CP",
    filterThreshold = 0.5
)
}

}
